Name:           imapfilter
Version:        2.8.2
Release:        %mkrel 1
Summary:        A flexible client side mail filtering utility for IMAP servers
Group:          Monitoring
License:        MIT
URL:            https://github.com/lefcha/imapfilter/
Source0:        https://github.com/lefcha/imapfilter/archive/v%{version}/%{name}-%{version}.tar.gz
# Fix paths for MANDIR, SSLCAFILE and keep existing CFLAGS
Patch0:         imapfilter-makefile-fix.patch

BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(libpcre2-8)

%description
IMAPFilter is a mail filtering utility. It connects to remote mail servers
using the Internet Message Access Protocol (IMAP), sends searching queries
to the server and processes mailboxes based on the results. It can be used
to delete, copy, move, flag, etc. messages residing in mailboxes at the
same or different mail servers. The 4rev1 and 4 versions of the IMAP
protocol are supported.

%prep
%autosetup -p1

%build
%set_build_flags
# imapfilter does not have any autotools based ./configure - just a plain Makefile
%make_build

%install
%make_install PREFIX=%{_prefix}

%files
%doc README
%license LICENSE
%{_bindir}/imapfilter
%{_datadir}/imapfilter/
%{_mandir}/man1/imapfilter.1.*
%{_mandir}/man5/imapfilter_config.5.*


%changelog
* Sat Dec 30 2023 daviddavid <daviddavid> 2.8.2-1.mga10
+ Revision: 2024434
- new version: 2.8.2

* Sat May 20 2023 daviddavid <daviddavid> 2.8.1-1.mga9
+ Revision: 1957413
- initial package imapfilter (mga#9145)

